local function not_impl()
	error("Function not implemented");
end

local mime = require "mime";

module "encodings"

idna = {};
stringprep = {};
base64 = { encode = mime.b64, decode = mime.unb64 };
utf8 = {
	valid = (utf8 and utf8.len) and function (s) return not not utf8.len(s); end or function () return true; end;
};

return _M;
